Compatibility with WordPress as a git submodule

Hello,

I’m setting up a MU install using WordPress as a git submodule and I was wondering if your plugins, especially the domain mapping plugin, is compatible when WordPress is outside the ‘root’.

I’m using the file/folder structure of WP-Deploy https://github.com/Mixd/wp-deploy

-Brian

  • Sajid
    • DEV MAN’s Sidekick

    Hi @brianv,

    Hope you are doing good today :slight_smile:

    Well, if WordPress is working then our plugins including domain mapping plugin should work too. But since its requires some additional love than regular plugins so I can not say for sure. That’s why I am flagging plugin developer here to get his expert advice on this matter.

    Please be patient, developers response might be slower than usual support staff because they have other stuff to take care too.

    Take care and have a nice weekend :slight_smile:

    Cheers, Sajid

  • Sajid
    • DEV MAN’s Sidekick

    Hi @brianv,

    Hope you are doing good today :slight_smile:

    I am sorry for delay on this ticket. It seems developer got stuck with some complex issue. However I have pinged him again and I am sure he will post back a reply here as soon as possible.

    Thanks for your patience and have a nice day :slight_smile:

    Cheers, Sajid

  • Sam
    • The Incredible Code Injector

    Hi @brianv

    Sorry for the delay.

    I highly recommend testing it on your test server, since you are having a very custom MU install and there might be aspects in your install that may affect the behavior of DM but are unknown to me.

    To get sunrise to work properly you’ll need to define DM_CUSTOM_SUNRISE which points to the sunrise file’s location, in your config file. Please check wp-content/plugins/domain-mapping/sunrise.php for a better understanding.

    Cheers,

    Sam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.